/*	Public domain	*/

#define POL_MAX_ATTRS	48

typedef struct pol_attrib {
	char key[32];
	char val[64];
	size_t len;
} POL_Attrib;

typedef struct pol_request {
	enum {
		POL_UNKNOWN_PROTO,
		POL_SMTP,
		POL_LMTP
	} proto;
	enum {
		POL_UNKNOWN_STATE,
		POL_RCPT,
		POL_ETRN,
		POL_END_OF_MESSAGE
	} state;
	POL_Attrib attrs[POL_MAX_ATTRS];
	int	  nattrs;
} POL_Request;

extern pid_t	 polProc;
extern char	*polOwner;
extern char	*polSocketPath;

int POL_Init(void);
void POL_Destroy(void);
void POL_Session(void);
void POL_ForkInstance(int);

